API Reference
Delete webhook endpoint
Soft-delete a webhook endpoint.
Endpoint: DELETE /api/v1/webhooks/{id}
Availability: Live in production.
Authentication: API key in Authorization: Bearer <key> with the write scope.
Soft-delete a webhook endpoint. It will no longer receive deliveries. Requires a plan with webhooks and an API key with write scope.
Parameters
id(path, required): Webhook endpoint ID
Example request
curl -X DELETE "https://backworkhealth.com/api/v1/webhooks/YOUR_ID" \
-H "Authorization: Bearer $BACKWORK_API_KEY"Example response (200)
{
"success": true,
"data": {
"id": 0,
"deleted": true
},
"meta": {
"request_id": "string",
"timestamp": "2026-01-15T10:30:00Z"
}
}Authorization
bearerAuth AuthorizationBearer <token>
API key in format: bwk_live_xxxxx. Keys issued before the rename (vrt_live_) remain valid. bwk_test_ keys work only on the sandbox.
In: header
Path Parameters
id*integer
Webhook endpoint ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/webhooks/0"{ "success": true, "data": { "id": 0, "deleted": true }, "meta": { "request_id": "string", "timestamp": "2019-08-24T14:15:22Z" }}Last updated on